#!/bin/bash

function chkDeps(){

    if [ ! -f "/usr/bin/aria2c" ];then
        echo -e "Please Download 'aria2' with your package manager\n"
        echo "Ubuntu: sudo apt install aria2"
        echo "Fedora/RedHat: sudo dnf install aria2"
        echo "Void Linux: sudo xbps-install aria2"
        exit
    fi
        
}


case "${0}" in

    *)  
        chkDeps
        aria2c -x10 -k1M "${1}"
    ;;


esac